petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCJacobiGetUseAbs

Determines if the Jacobi preconditioner uses the absolute values of the digonal divisors in the preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCJacobiGetUseAbs(PC pc,PetscBool *flg)

Logically Collective on PC Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameter

flg -whether to use absolute values or not Many br

### Options Database Key

-pc_jacobi_abs - Many br Many br

### See Also

PCJacobiaSetType(), PCJacobiSetUseAbs(), PCJacobiGetType()

Level:intermediate
Location:src/ksp/pc/impls/jacobi/jacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages